// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'starter.services', 'ngIOS9UIWebViewPatch'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);

    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
    }
  });
})

.config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider) {

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
        
  //$ionicConfigProvider.views.maxCache(0);
        
  $stateProvider

  // setup an abstract state for the tabs directive
    .state('tab', {
    url: '/tab',
    abstract: true,
    templateUrl: 'templates/tabs.html'
  })

  // Each tab has its own nav history stack:

  .state('tab.dash', {
    url: '/dash',
    views: {
      'tab-dash': {
        templateUrl: 'templates/tab-dash.html',
        controller: 'DashCtrl'
      }
    }
  })
  .state('tab.find', {
    url: '/find',
    views: {
      'tab-find': {
        templateUrl: 'templates/tab-find.html',
        controller: 'FindCtrl'
      }
    }
  })
  .state('player', {
    url: '/player/:msg',
    templateUrl: 'templates/player.html',
    controller: 'PlayerCtrl'
  })
  .state('lookmore', {
    url: '/lookmore',
    templateUrl: 'templates/lookmore.html',
    controller: 'LookmoreCtrl'
  })
  .state('tab.chats', {
      url: '/chats',
      views: {
        'tab-chats': {
          templateUrl: 'templates/tab-chats.html',
          controller: 'ChatsCtrl'
        }
      }
    })
    .state('tab.chat-detail', {
      url: '/chats/:chatId',
      views: {
        'tab-chats': {
          templateUrl: 'templates/chat-detail.html',
          controller: 'ChatDetailCtrl'
        }
      }
    })
        
  .state('tab.account', {
    url: '/account',
    views: {
      'tab-account': {
        templateUrl: 'templates/tab-account.html',
        controller: 'AccountCtrl'
      }
    }
  })
  .state('history', {
        url: '/history',
        templateUrl: 'templates/history.html',
        controller: 'HistoryCtrl'
  })
  .state('detail', {
        url: '/detail',
        templateUrl: 'templates/detail.html',
        controller: 'DetailCtrl'
  })
  .state('love', {
        url: '/love',
        templateUrl: 'templates/love.html',
        controller: 'LoveCtrl'
  })
  .state('vip', {
        url: '/vip',
        templateUrl: 'templates/vip.html',
        controller: 'VipCtrl'
  });

  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/tab/dash');

});


//自定义函数
function hasClass( elements,cName ){
	return !!elements.className.match( new RegExp( "(\\s|^)" + cName + "(\\s|$)") );
};
function addClass( elements,cName ){
	if( !hasClass( elements,cName ) ){
		elements.className += " " + cName;
	};
};
function removeClass( elements,cName ){
	if( hasClass( elements,cName ) ){
		elements.className = elements.className.replace( new RegExp( "(\\s|^)" + cName + "(\\s|$)" )," " );
	};
};

GB = {};
GB.bannerIsShow = false;
GB.reviewing = false;
GB.isShu = true;
GB.ad = {};
window.bannerCallback = function(show){
    GB.bannerIsShow = show;
};
window.closeSplash = function(){
    navigator.splashscreen.hide();
};

function openMyUrl(url){
    //if (url.substring(0, 4) == "http"){
    //    window.open(url, "_blank", "location=yes");
    //}else{
        sendMsgToNative("openUrl", [url]);
    //}
};
 
GB.clickBanner = function(){
   if (GB.ad.banner){
       openMyUrl(GB.ad.banner.url);
   }
};
g_rate = 80;
function sendMsgToNative(msg, arg, success, fail){
    if (msg == "showAd" || msg == "showBanner"){
        if (GB.ad){
            if (msg == "showBanner" && GB.ad.banner){
                if (Math.random() * 100 <= parseInt(GB.ad.banner.rate*100)){
                    GB.bannerIsShow = true;
                    return;
                }
            }
        }
    }
    if ("underfined" == typeof arg){
        arg = [];
    }
    cordova.exec(success, fail, "ownVirtualPlugin", msg, arg);
};